
/**
* @visibilité des groupes gmaccess

*/

function checkall_gm( aco, n ) {
	for ( var j = 2; j <= n; j++ ) {
		document.getElementById("cb" + aco + n).checked=true;
	}
}
function testacl1( aco, tot ) {
	if(document.getElementById('public'+aco).checked==true) {
		if (document.getElementById('membre'+aco)){ document.getElementById('membre'+aco).checked=false; document.getElementById('membre'+aco).disabled=true;}
		if (document.getElementById('gmread')) document.getElementById('gmread').checked=false;
		for ( var j = 2; j <= tot; j++ ) {
			if (document.getElementById('cbread' + j)) document.getElementById('cbread' + j).checked=false;
			if (document.getElementById('cbread' + j)) document.getElementById('cbread' + j).disabled=true;
		}
	}else{
		if (document.getElementById('gmread')) document.getElementById('gmread').checked=true;
		if (document.getElementById('membre'+aco))document.getElementById('membre'+aco).disabled=false;
		for ( var j = 2; j <= tot; j++ ) {
			if (document.getElementById('cbread' + j)) document.getElementById('cbread' + j).disabled=false;
		}
	}
}
function testacl2( aco, tot ) {
	if(document.getElementById('membre'+aco).checked==true) {
		if (document.getElementById('public'+aco)) document.getElementById('public'+aco).checked=false;
		if (document.getElementById('gmread')) document.getElementById('gmread').checked=false;
		for ( var j = 2; j <= tot; j++ ) {
			if (document.getElementById('cbread' + j)) document.getElementById('cbread' + j).checked=false;
			if (document.getElementById('cbread' + j)) document.getElementById('cbread' + j).disabled=true;
		}
	}else{
		if (document.getElementById('gmread')) document.getElementById('gmread').checked=true;
		for ( var j = 2; j <= tot; j++ ) {
			if (document.getElementById('cbread' + j)) document.getElementById('cbread' + j).disabled=false;
		}
	}
}
function testacl3( aco, i ) {
	if(document.getElementById('cb'+aco+i).checked==true) {
		if (document.getElementById('public'+aco)) {document.getElementById('public'+aco).checked=false; document.getElementById('public'+aco).disabled=false;}
		if (document.getElementById('gmread')) document.getElementById('gmread').checked=true;
		if (document.getElementById('membre'+aco)) {document.getElementById('membre'+aco).checked=false; document.getElementById('membre'+aco).disabled=false;}
	}
}
function testacl4( aco, tot ) {
	if(document.getElementById('public'+aco).checked==true) {
		if (document.getElementById('membre'+aco)) {document.getElementById('membre'+aco).checked=false; document.getElementById('membre'+aco).disabled=true;}
		if (document.getElementById('membre'+aco+'own')) document.getElementById('membre'+aco+'own').checked=false;
		if (document.getElementById('membre'+aco+'own')) document.getElementById('membre'+aco+'own').disabled=true;
		if (document.getElementById('public'+aco+'own')) {document.getElementById('public'+aco+'own').checked=false; document.getElementById('public'+aco+'own').disabled=true;}
		for ( var j = 2; j <= tot; j++ ) {
			if (document.getElementById('cb'+aco + j)) document.getElementById('cb'+aco + j).checked=false;
			if (document.getElementById('cb'+aco + j)) document.getElementById('cb'+aco + j).disabled=true;
			if (document.getElementById('cb'+aco+'own' + j)) document.getElementById('cb'+aco+'own' + j).disabled=true;
			if (document.getElementById('cb'+aco+'own' + j)) document.getElementById('cb'+aco+'own' + j).checked=false;
		}
	}else{
		if (document.getElementById('public'+aco+'own')) document.getElementById('public'+aco+'own').disabled=false;
		if (document.getElementById('membre'+aco+'own')) document.getElementById('membre'+aco+'own').disabled=false;
		if (document.getElementById('membre'+aco)) document.getElementById('membre'+aco).disabled=false;
		for ( var j = 2; j <= tot; j++ ) {
			if (document.getElementById('cb'+aco + j)) document.getElementById('cb'+aco + j).disabled=false;
			if (document.getElementById('cb'+aco+'own' + j)) document.getElementById('cb'+aco+'own' + j).disabled=false;
		}
	}
}
function testacl5( aco, tot ) {
	if(document.getElementById('membre'+aco).checked==true) {
		if (document.getElementById('public'+aco)) document.getElementById('public'+aco).checked=false;
		if (document.getElementById('public'+aco+'own')) document.getElementById('public'+aco+'own').disabled=false;
		if (document.getElementById('membre'+aco+'own')) document.getElementById('membre'+aco+'own').disabled=true;
		if (document.getElementById('membre'+aco+'own')) document.getElementById('membre'+aco+'own').checked=false;
		for ( var j = 2; j <= tot; j++ ) {
			if (document.getElementById('cb'+aco + j)) document.getElementById('cb'+aco + j).checked=false;
			if (document.getElementById('cb'+aco + j)) document.getElementById('cb'+aco + j).disabled=true;
			if (document.getElementById('cb'+aco+'own' + j)) {document.getElementById('cb'+aco+'own' + j).checked=false; document.getElementById('cb'+aco+'own' + j).disabled=true;}
		}
	}else{
		if (document.getElementById('membre'+aco+'own')) document.getElementById('membre'+aco+'own').disabled=false;
		for ( var j = 2; j <= tot; j++ ) {
			if (document.getElementById('cb'+aco + j)) document.getElementById('cb'+aco + j).disabled=false;
			if (document.getElementById('cb'+aco+'own' + j)) document.getElementById('cb'+aco+'own' + j).disabled=false;
		}
	}
	
}
function testacl6( aco, i ) {
	if(document.getElementById('cb'+ aco + i).checked==true) {
		if (document.getElementById('public' + aco)) document.getElementById('public' + aco).checked=false;
		if (document.getElementById('public' + aco + 'own')) document.getElementById('public' + aco + 'own').disabled=false;
		if (document.getElementById('membre' + aco)) document.getElementById('membre' + aco ).checked=false;
		if (document.getElementById('membre' + aco + 'own')) document.getElementById('membre' + aco + 'own').disabled=false;
		if (document.getElementById('cb' + aco + 'own' + i)) document.getElementById('cb' + aco + 'own' + i).checked=false;
		if (document.getElementById('cb' + aco + 'own' + i)) document.getElementById('cb' + aco + 'own' + i).disabled=true;
	}else{
		if (document.getElementById('cb' + aco + 'own' + i)) document.getElementById('cb' + aco + 'own' + i).disabled=false;
	}
	
}
function testacl7( aco, aco2, tot ) {
	if(document.getElementById('public'+aco).checked==true) {
		if (document.getElementById('membre'+aco)) {document.getElementById('membre'+aco).checked=false;document.getElementById('membre'+aco).disabled=true;}
		for ( var j = 2; j <= tot; j++ ) {
			if (document.getElementById('cb'+aco + j)) document.getElementById('cb'+aco + j).checked=false;
			if (document.getElementById('cb'+aco + j)) document.getElementById('cb'+aco + j).disabled=true;
		}
	}else{
		if (document.getElementById('membre'+aco)) document.getElementById('membre'+aco).disabled=false;
		if (document.getElementById('membre'+aco2) && document.getElementById('membre'+aco2).checked==true){document.getElementById('membre'+aco).disabled=true;}
		for ( var j = 2; j <= tot; j++ ) {
			if (document.getElementById('cb'+aco + j)) document.getElementById('cb'+aco + j).disabled=false;
			if (document.getElementById('cb'+aco2 + j) && document.getElementById('cb'+aco2 + j).checked==true ) {document.getElementById('cb'+aco + j).disabled=true;}
		}
	}
}
function testacl8( aco, aco2, tot ) {
	if(document.getElementById('membre'+aco).checked==true) {
		if (document.getElementById('public'+aco)) document.getElementById('public'+aco).checked=false;
		for ( var j = 2; j <= tot; j++ ) {
			if (document.getElementById('cb'+aco + j)) document.getElementById('cb'+aco + j).checked=false;
			if (document.getElementById('cb'+aco + j)) document.getElementById('cb'+aco + j).disabled=true;
		}
	}else{
		for ( var j = 2; j <= tot; j++ ) {
			if (document.getElementById('cb'+aco + j)) document.getElementById('cb'+aco + j).disabled=false;
			if (document.getElementById('cb'+aco2 + j) && document.getElementById('cb'+aco2 + j).checked==true ) {document.getElementById('cb'+aco + j).disabled=true;}
		}
	}
}
function testacl9( aco, i ) {
	if(document.getElementById('cb'+aco+i).checked==true) {
		if (document.getElementById('public'+aco)) document.getElementById('public'+aco).checked=false;
		if (document.getElementById('membre'+aco)) document.getElementById('membre'+aco).checked=false;
	}
}
function testacl10( aco, tot ) {
	if(document.getElementById('public'+aco).checked==true) {
		if (document.getElementById('membre'+aco)) document.getElementById('membre'+aco).checked=false;
		if (document.getElementById('membre'+aco)) document.getElementById('membre'+aco).disabled=true;
		for ( var j = 2; j <= tot; j++ ) {
			if (document.getElementById('cb'+aco + j)) document.getElementById('cb'+aco + j).checked=false;
			if (document.getElementById('cb'+aco + j)) document.getElementById('cb'+aco + j).disabled=true;
		}
	}else{
		if (document.getElementById('membre'+aco)) document.getElementById('membre'+aco).disabled=false;
		for ( var j = 2; j <= tot; j++ ) {
			if (document.getElementById('cb'+aco + j)) document.getElementById('cb'+aco + j).disabled=false;
		}
	}
}
function testacl11( aco, tot ) {
	if(document.getElementById('membre'+aco).checked==true) {
		if (document.getElementById('public'+aco)) document.getElementById('public'+aco).checked=false;
		for ( var j = 2; j <= tot; j++ ) {
			if (document.getElementById('cb'+aco + j)) document.getElementById('cb'+aco + j).checked=false;
			if (document.getElementById('cb'+aco + j)) document.getElementById('cb'+aco + j).disabled=true;
		}
	}else{
		for ( var j = 2; j <= tot; j++ ) {
			if (document.getElementById('cb'+aco + j)) document.getElementById('cb'+aco + j).disabled=false;
		}
	}
}
function testacl12( aco, i ) {
	if(document.getElementById('cb'+aco+i).checked==true) {
		if (document.getElementById('public'+aco)) document.getElementById('public'+aco).checked=false;
		if (document.getElementById('membre'+aco)) document.getElementById('membre'+aco).checked=false;
	}
}
function gmimage( tot ) {
	
	if (document.getElementById('publicread')) {
		if(document.getElementById('publicread').checked==true) {
			document.getElementById('publiciread').src ='images/checked.gif';
		}else{
			if(document.getElementById('publicread').disabled==true) {
				document.getElementById('publiciread').src ='images/checkedg.gif';
			}else{
				document.getElementById('publiciread').src ='images/non_checked.gif';
			}
		}
	}
	if (document.getElementById('membreread')) {
		if(document.getElementById('membreread').checked==true) {
			document.getElementById('membreiread').src ='images/checked.gif';
		}else{
			if(document.getElementById('membreread').disabled==true) {
				document.getElementById('membreiread').src ='images/checkedg.gif';
			}else{
				document.getElementById('membreiread').src ='images/non_checked.gif';
			}
		}
	}
	if (document.getElementById('publicsubmit')) {
		if(document.getElementById('publicsubmit').checked==true) {
			document.getElementById('publicisubmit').src ='images/checked.gif';
		}else{
			if(document.getElementById('publicsubmit').disabled==true) {
				document.getElementById('publicisubmit').src ='images/checkedg.gif';
			}else{
				document.getElementById('publicisubmit').src ='images/non_checked.gif';
			}
		}
	}
	if (document.getElementById('membresubmit')) {
		if(document.getElementById('membresubmit').checked==true) {
			document.getElementById('membreisubmit').src ='images/checked.gif';
		}else{
			if(document.getElementById('membresubmit').disabled==true) {
				document.getElementById('membreisubmit').src ='images/checkedg.gif';
			}else{
				document.getElementById('membreisubmit').src ='images/non_checked.gif';
			}
		}
	}
		if (document.getElementById('publicadd')) {
		if(document.getElementById('publicadd').checked==true) {
			document.getElementById('publiciadd').src ='images/checked.gif';
		}else{
			if(document.getElementById('publicadd').disabled==true) {
				document.getElementById('publiciadd').src ='images/checkedg.gif';
			}else{
				document.getElementById('publiciadd').src ='images/non_checked.gif';
			}
		}
	}
	if (document.getElementById('membreadd')) {
		if(document.getElementById('membreadd').checked==true) {
			document.getElementById('membreiadd').src ='images/checked.gif';
		}else{
			if(document.getElementById('membreadd').disabled==true) {
				document.getElementById('membreiadd').src ='images/checkedg.gif';
			}else{
				document.getElementById('membreiadd').src ='images/non_checked.gif';
			}
		}
	}
	if (document.getElementById('publiceditown')) {
		if(document.getElementById('publiceditown').checked==true) {
			document.getElementById('publicieditown').src ='images/checked.gif';
		}else{
			if(document.getElementById('publiceditown').disabled==true) {
				document.getElementById('publicieditown').src ='images/checkedg.gif';
			}else{
				document.getElementById('publicieditown').src ='images/non_checked.gif';
			}
		}
	}
	if (document.getElementById('membreeditown')) {
		if(document.getElementById('membreeditown').checked==true) {
			document.getElementById('membreieditown').src ='images/checked.gif';
		}else{
			if(document.getElementById('membreeditown').disabled==true) {
				document.getElementById('membreieditown').src ='images/checkedg.gif';
			}else{
				document.getElementById('membreieditown').src ='images/non_checked.gif';
			}
		}
	}
	if (document.getElementById('publicedit')) {
		if(document.getElementById('publicedit').checked==true) {
			document.getElementById('publiciedit').src ='images/checked.gif';
		}else{
			if(document.getElementById('publicedit').disabled==true) {
				document.getElementById('publiciedit').src ='images/checkedg.gif';
			}else{
				document.getElementById('publiciedit').src ='images/non_checked.gif';
			}
		}
	}
	if (document.getElementById('membreedit')) {
		if(document.getElementById('membreedit').checked==true) {
			document.getElementById('membreiedit').src ='images/checked.gif';
		}else{
			if(document.getElementById('membreedit').disabled==true) {
				document.getElementById('membreiedit').src ='images/checkedg.gif';
			}else{
				document.getElementById('membreiedit').src ='images/non_checked.gif';
			}
		}
	}
	if (document.getElementById('publicpublishown')) {
		if(document.getElementById('publicpublishown').checked==true) {
			document.getElementById('publicipublishown').src ='images/checked.gif';
		}else{
			if(document.getElementById('publicpublishown').disabled==true) {
				document.getElementById('publicipublishown').src ='images/checkedg.gif';
			}else{
				document.getElementById('publicipublishown').src ='images/non_checked.gif';
			}
		}
	}
	if (document.getElementById('membrepublishown')) {
		if(document.getElementById('membrepublishown').checked==true) {
			document.getElementById('membreipublishown').src ='images/checked.gif';
		}else{
			if(document.getElementById('membrepublishown').disabled==true) {
				document.getElementById('membreipublishown').src ='images/checkedg.gif';
			}else{
				document.getElementById('membreipublishown').src ='images/non_checked.gif';
			}
		}
	}
	if (document.getElementById('publicpublish')) {
		if(document.getElementById('publicpublish').checked==true) {
			document.getElementById('publicipublish').src ='images/checked.gif';
		}else{
			if(document.getElementById('publicpublish').disabled==true) {
				document.getElementById('publicipublish').src ='images/checkedg.gif';
			}else{
				document.getElementById('publicipublish').src ='images/non_checked.gif';
			}
		}
	}
	if (document.getElementById('membrepublish')) {
		if(document.getElementById('membrepublish').checked==true) {
			document.getElementById('membreipublish').src ='images/checked.gif';
		}else{
			if(document.getElementById('membrepublish').disabled==true) {
				document.getElementById('membreipublish').src ='images/checkedg.gif';
			}else{
				document.getElementById('membreipublish').src ='images/non_checked.gif';
			}
		}
	}
	if (document.getElementById('publicdeleteown')) {
		if(document.getElementById('publicdeleteown').checked==true) {
			document.getElementById('publicideleteown').src ='images/checked.gif';
		}else{
			if(document.getElementById('publicdeleteown').disabled==true) {
				document.getElementById('publicideleteown').src ='images/checkedg.gif';
			}else{
				document.getElementById('publicideleteown').src ='images/non_checked.gif';
			}
		}
	}
	if (document.getElementById('membredeleteown')) {
		if(document.getElementById('membredeleteown').checked==true) {
			document.getElementById('membreideleteown').src ='images/checked.gif';
		}else{
			if(document.getElementById('membredeleteown').disabled==true) {
				document.getElementById('membreideleteown').src ='images/checkedg.gif';
			}else{
				document.getElementById('membreideleteown').src ='images/non_checked.gif';
			}
		}
	}
	if (document.getElementById('publicdelete')) {
		if(document.getElementById('publicdelete').checked==true) {
			document.getElementById('publicidelete').src ='images/checked.gif';
		}else{
			if(document.getElementById('publicdelete').disabled==true) {
				document.getElementById('publicidelete').src ='images/checkedg.gif';
			}else{
				document.getElementById('publicidelete').src ='images/non_checked.gif';
			}
		}
	}
	if (document.getElementById('membredelete')) {
		if(document.getElementById('membredelete').checked==true) {
			document.getElementById('membreidelete').src ='images/checked.gif';
		}else{
			if(document.getElementById('membredelete').disabled==true) {
				document.getElementById('membreidelete').src ='images/checkedg.gif';
			}else{
				document.getElementById('membreidelete').src ='images/non_checked.gif';
			}
		}
	}
	if (document.getElementById('publicright')) {
		if(document.getElementById('publicright').checked==true) {
			document.getElementById('publiciright').src ='images/checked.gif';
		}else{
			if(document.getElementById('publicright').disabled==true) {
				document.getElementById('publiciright').src ='images/checkedg.gif';
			}else{
				document.getElementById('publiciright').src ='images/non_checked.gif';
			}
		}
	}
	if (document.getElementById('membreright')) {
		if(document.getElementById('membreright').checked==true) {
			document.getElementById('membreiright').src ='images/checked.gif';
		}else{
			if(document.getElementById('membreright').disabled==true) {
				document.getElementById('membreiright').src ='images/checkedg.gif';
			}else{
				document.getElementById('membreiright').src ='images/non_checked.gif';
			}
		}
	}
	for ( var j = 2; j <= tot; j++ ) {
		if (document.getElementById('cbread' + j)) {
			if(document.getElementById('cbread' + j).checked==true) {
				document.getElementById('ciread' + j).src ='images/checked.gif';
			}else{
				if(document.getElementById('cbread' + j).disabled==true) {
					document.getElementById('ciread' + j).src ='images/checkedg.gif';
				}else{
					document.getElementById('ciread' + j).src ='images/non_checked.gif';
				}
			}
		}
		if (document.getElementById('cbsubmit' + j)) {
			if(document.getElementById('cbsubmit' + j).checked==true) {
				document.getElementById('cisubmit' + j).src ='images/checked.gif';
			}else{
				if(document.getElementById('cbsubmit' + j).disabled==true) {
					document.getElementById('cisubmit' + j).src ='images/checkedg.gif';
				}else{
					document.getElementById('cisubmit' + j).src ='images/non_checked.gif';
				}
			}
		}
		if (document.getElementById('cbadd' + j)) {
			if(document.getElementById('cbadd' + j).checked==true) {
				document.getElementById('ciadd' + j).src ='images/checked.gif';
			}else{
				if(document.getElementById('cbadd' + j).disabled==true) {
					document.getElementById('ciadd' + j).src ='images/checkedg.gif';
				}else{
					document.getElementById('ciadd' + j).src ='images/non_checked.gif';
				}
			}
		}
		if (document.getElementById('cbeditown' + j)) {
			if(document.getElementById('cbeditown' + j).checked==true) {
				document.getElementById('cieditown' + j).src ='images/checked.gif';
			}else{
				if(document.getElementById('cbeditown' + j).disabled==true) {
					document.getElementById('cieditown' + j).src ='images/checkedg.gif';
				}else{
					document.getElementById('cieditown' + j).src ='images/non_checked.gif';
				}
			}
		}
		if (document.getElementById('cbedit' + j)) {
			if(document.getElementById('cbedit' + j).checked==true) {
				document.getElementById('ciedit' + j).src ='images/checked.gif';
			}else{
				if(document.getElementById('cbedit' + j).disabled==true) {
					document.getElementById('ciedit' + j).src ='images/checkedg.gif';
				}else{
					document.getElementById('ciedit' + j).src ='images/non_checked.gif';
				}
			}
		}
		if (document.getElementById('cbpublishown' + j)) {
			if(document.getElementById('cbpublishown' + j).checked==true) {
				document.getElementById('cipublishown' + j).src ='images/checked.gif';
			}else{
				if(document.getElementById('cbpublishown' + j).disabled==true) {
					document.getElementById('cipublishown' + j).src ='images/checkedg.gif';
				}else{
					document.getElementById('cipublishown' + j).src ='images/non_checked.gif';
				}
			}
		}
		if (document.getElementById('cbpublish' + j)) {
			if(document.getElementById('cbpublish' + j).checked==true) {
				document.getElementById('cipublish' + j).src ='images/checked.gif';
			}else{
				if(document.getElementById('cbpublish' + j).disabled==true) {
					document.getElementById('cipublish' + j).src ='images/checkedg.gif';
				}else{
					document.getElementById('cipublish' + j).src ='images/non_checked.gif';
				}
			}
		}
		if (document.getElementById('cbdeleteown' + j)) {
			if(document.getElementById('cbdeleteown' + j).checked==true) {
				document.getElementById('cideleteown' + j).src ='images/checked.gif';
			}else{
				if(document.getElementById('cbdeleteown' + j).disabled==true) {
					document.getElementById('cideleteown' + j).src ='images/checkedg.gif';
				}else{
					document.getElementById('cideleteown' + j).src ='images/non_checked.gif';
				}
			}
		}
		if (document.getElementById('cbdelete' + j)) {
			if(document.getElementById('cbdelete' + j).checked==true) {
				document.getElementById('cidelete' + j).src ='images/checked.gif';
			}else{
				if(document.getElementById('cbdelete' + j).disabled==true) {
					document.getElementById('cidelete' + j).src ='images/checkedg.gif';
				}else{
					document.getElementById('cidelete' + j).src ='images/non_checked.gif';
				}
			}
		}
		if (document.getElementById('cbright' + j)) {
			if(document.getElementById('cbright' + j).checked==true) {
				document.getElementById('ciright' + j).src ='images/checked.gif';
			}else{
				if(document.getElementById('cbright' + j).disabled==true) {
					document.getElementById('ciright' + j).src ='images/checkedg.gif';
				}else{
					document.getElementById('ciright' + j).src ='images/non_checked.gif';
				}
			}
		}
	}
}